(function($) {

    $.fn.easyColumns = function( options ) {

	var settings = $.extend({
		resetNeeded : 'false',
		debugBorders : 'false'
        }, options);

	if(settings.resetNeeded == "true"){
		$("head").prepend("<link rel='Stylesheet' type='text/css' href='reset-min.css' />");
	}

	if(settings.debugBorders == "true"){
		$(".right3, .middle3, .left3, .left2, .right2").css({"box-sizing":"border-box", "border":"3px dashed #000000"});
	}

	$(".left2, .left3").each(function(){
		$(this).before("<div style='clear:both;'></div>");
	}
	);
	$(".right2").each(function(){
		$(this).after("<div style='clear:both;'></div>");
	}
	);
	

	$(".right3").each(function(){
		$(this).after("<div style='clear:both;'></div>");
                var contents = $(this).html();
                var prevCol = $(this).prev(".middle3");
                $(this).remove();
                prevCol.before("<div class='right3'>"+contents+"</div>");
		if(settings.debugBorders == "true"){
                	$(".right3, .middle3, .left3, .left2, .right2").css({"box-sizing":"border-box", "border":"3px dashed #000000"});
        	}
        }
        );

	$(".left2").css({"width":"48%","margin-left":"1%", "float":"left"});
	$(".right2").css({"width":"48%","margin-right":"1%", "float":"right"});

	$(".left3").css({"width":"32%", "margin-left":"1%", "float":"left"});
	$(".middle3").css({"width":"32%", "position":"relative", "left":"0px", "right":"0px", "margin":"auto"});
	$(".right3").css({"width":"32%", "margin-right":"1%", "float":"right"});
	

    }

}(jQuery));
